IDefine (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.preprocessor.IDefine interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine.preprocessor
Interface IDefine

    public interface IDefine

High-level information about a macro definition.

Method Summary
`java.lang.String[]` | `getArgumentNames()` Get the macro argument names, or null for parameter-less macros (an empty array is returned for, e.g., #define FOO() ... )
`java.lang.String` | `getDefinitionText()` Get the macro definition as text, as it would follow a '#define ' in C
`java.lang.String` | `getExpansion()` Get the text in the macro expansion, excluding newline.
`java.lang.String` | `getName()` Get the macro name (never null)
`java.lang.String` | `getNameAndArguments()` Get the macro name with arguments appended, if a function macro.

Method Detail

### getName

    java.lang.String getName()

  Get the macro name (never null)

### getArgumentNames

    java.lang.String[] getArgumentNames()

  Get the macro argument names, or null for parameter-less macros (an empty array is returned for, e.g., #define FOO() ... )

### getExpansion

    java.lang.String getExpansion()

  Get the text in the macro expansion, excluding newline. Never returns null. An empty macro returns "". Macros defined as if from a command line -DMACRO argument return "1".

### getDefinitionText

    java.lang.String getDefinitionText()

  Get the macro definition as text, as it would follow a '#define ' in C

  Returns:
    String form of macro defintion

### getNameAndArguments

    java.lang.String getNameAndArguments()

  Get the macro name with arguments appended, if a function macro.

  Returns:
    String in the form "macroName" or "macroName(arguments)"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD